# ------------------------------------------------------------------------------
# STANDARDS TO FOLLOW
# ------------------------------------------------------------------------------

# Do not use string declration for any of propertis
# Do not use spaces between and assignment 



# ------------------------------------------------------------------------------
# DEFAULT IP TO RUN FOR FLASK APP
# ------------------------------------------------------------------------------

DEFAULT_IP=0.0.0.0


# ------------------------------------------------------------------------------
# LOG CONFIGURATION
# ------------------------------------------------------------------------------

LOG_FILE_PATH=/tmp/userapi.log


# ------------------------------------------------------------------------------
# ENVIRONMENT CONFIGURATION
# Replace MODE with ['DEV', 'QA', 'PROD']
# ------------------------------------------------------------------------------

MODE=DEV

# ------------------------------------------------------------------------------
# DEVELOPER DATABASE CREDENTIALS
# ------------------------------------------------------------------------------

DEV_SERVER_NAME=192.168.2.170
DEV_DB_NAME=bat_db
DEV_USERNAME=mongo-admin
DEV_PASSWORD=noodleadmin
DEV_PORT=27017
DEV_SESSION_TIMEOUT=300


# ------------------------------------------------------------------------------
# QUALITY ANALYSIS DATABASE CREDENTIALS
# ------------------------------------------------------------------------------

QA_SERVER_NAME=192.168.10.169
QA_DB_NAME=bat_db
QA_USERNAME=mongo-admin
QA_PASSWORD=noodleadmin
QA_PORT=27017
QA_SESSION_TIMEOUT=300


# ------------------------------------------------------------------------------
# PRODUCTION DATABASE CREDENTIALS
# ------------------------------------------------------------------------------

PROD_SERVER_NAME=192.168.2.170
PROD_DB_NAME=NoodleApp
PROD_USERNAME=auth-admin
PROD_PASSWORD=returnBRANCHEStown
PROD_PORT=27017
PROD_SESSION_TIMEOUT=300

# ------------------------------------------------------------------------------
# LOCAL DATABASE CREDENTIALS
# ------------------------------------------------------------------------------

LOCAL_SERVER_NAME=localhost
LOCAL_DB_NAME=MultiAuth
LOCAL_USERNAME=dummy
LOCAL_PASSWORD=dummy
LOCAL_PORT=27017
LOCAL_SESSION_TIMEOUT=300


# ------------------------------------------------------------------------------
# JWT CONFIGIRATION
# ------------------------------------------------------------------------------

SECRET_KEY=some-difficult-value
TOKEN_EXPIRE_TIME=15
REFRESH_EXPIRE_TIME=120

# ------------------------------------------------------------------------------
# LDAP CONFIGIRATION
# ------------------------------------------------------------------------------

LDAP_URL=prod.ad.noodle.ai

# ------------------------------------------------------------------------------
# SMTP CONFIGIRATION
# ------------------------------------------------------------------------------

SMTP_URL=192.168.2.130
SMTP_PORT=25
FROM_ADDRESS=beast_dev@noodle.ai
SMTP_PASSWORD=dummy
CREATE_TEMPLATE_PATH=configuration/email_templates/create_template.txt
DELETE_TEMPLATE_PATH=configuration/email_templates/delete_template.txt
MODIFY_TEMPLATE_PATH=configuration/email_templates/modify_template.txt

